Name:           qgis
Version:        0.9.0
Release:        1
License:        GPL
Group:          Applications/Engineering
Source:         %{name}-%{version}.tbz2
Source1:        %{name}.desktop
Patch0:         man-install-share-0.9.0.patch
Patch1:         lib64-suffix-0.9.0.patch
Url:            http://www.qgis.org/
Summary:        Quantum GIS (QGIS) is designed to be a Geographic Information System (GIS) built for Linux/Unix.
Packager:       Dirk Stöcker <opensuse@dstoecker.de>
Requires:       libgeos >= 2
Requires:       libgdal >= 1.4.1
Requires:       sqlite >= 3
Requires:       libqt4 >= 4.2
Requires:       gsl >= 1.6
Requires:       postgresql >= 8 postgresql-libs >= 8
BuildRequires:  python-devel
BuildRequires:  libgdal-devel >= 1.4.1
BuildRequires:  libgeos-devel >= 2
BuildRequires:  libproj-devel
BuildRequires:  postgresql-devel >= 8
BuildRequires:  grass >= 6.2.1 grass-devel
BuildRequires:  libgdal-grass >= 1.4.1
BuildRequires:  sqlite-devel >= 3
BuildRequires:  libqt4-devel >= 4.2 libqt4-qt3support >= 4.2
BuildRequires:  gsl >= 1.6 gsl-devel
BuildRequires:  cmake >= 2.4
BuildRequires:  flex bison
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package devel
Summary:        Development Libraries for the Quantum GIS
Group:          Development/Libraries
Requires:       qgis = %{version}

%package plugin-grass
Summary:        GRASS Support Libraries for Quantum GIS
Group:          Libraries
Requires:       qgis = %{version}
Requires:       grass >= 6.2.1

%description
Quantum GIS (QGIS) is a user friendly Open Source Geographic Information 
System (GIS) that runs on Linux, Unix, Mac OSX, and Windows. QGIS supports 
vector, raster, and database formats. QGIS is licensed under the GNU 
General Public License. QGIS lets you browse and create map data on your 
computer. It supports many common spatial data formats (e.g. ESRI ShapeFile, 
geotiff). QGIS supports plugins to do things like display tracks from your GPS.

Planned features include:

    * Read and edit shapefiles
    * Display georeferenced rasters (tiff, png, geotiff)
    * Plugins to dynamically add new functionality to the application
    * Support for database tables
    * Support for spatially enabled tables in PostgreSQL using PostGIS
    * Map output
    * Script engine
    * Metadata support

Authors:
----------
Carl Anderson
Christoph Spoerri <spoerri at users.sourceforge.net>
Denis Antipov <rawbytes at users.sourceforge.net>
Gary E.Sherman <sherman at mrcc dot com>
Jens Oberender <j.obi at troja.net>
Marco Hugentobler <mhugent at users.sourceforge.net>
Mark Coletti <mcoletti at users.sourceforge.net>
Masaru Hoshi
Radim Blazek <blazek at itc.it>
Steve Halasz <stevehalasz at users.sourceforge.net>

%description devel
Development packages for Quantum GIS

%description plugin-grass
Development packages for Quantum GIS

%debug_package

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export QTDIR=/usr
export PATH=$PATH:$QTDIR/bin

%ifarch x86_64
%define libsuffix -DLIB_SUFFIX=64
%else
%define libsuffix ""
%endif

cmake -D CMAKE_INSTALL_PREFIX=%{_prefix} \
      -D GRASS_PREFIX=/opt/grass %{libsuffix}\
      .

#echo "for 'make' run first:"
export QTDIR=%{_prefix}
#echo "export PATH=$PATH:$QTDIR/bin"
export PATH=$PATH:$QTDIR/bin

make

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
%{__cp} %{SOURCE1} %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../%{name}/images/icons/qgis-icon.png \
      %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lib%{name}_*s*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%exclude %{_libdir}/libqgisgrass.so
%exclude %{_libdir}/qgis/libgrass*
%doc AUTHORS BUGS COPYING ChangeLog INSTALL README TODO

%files devel
%defattr(-,root,root)
%{_prefix}/include/qgis/*

%files plugin-grass
%defattr(644,root,root)
%{_libdir}/qgis/libgrass*
%{_libdir}/libqgisgrass.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog -n qgis
* Fri Nov 23 2007 Dirk Stöcker 0.9.0
- copied 64 bit fixes from Fedora
* Thu Sep 27 2007 Dirk Stöcker 0.9.0
- update to final release
* Mon Aug 14 2007 Dirk Stöcker 0.9.0pre1
- adapted to openSUSE build service
* Mon Jul 30 2007 Otto Dassau 0.9.0pre1
- changed to cmake
* Mon Jun 12 2007 Otto Dassau 0.8.1
- update for GRASS 6.2.2 bugfix release
* Mon Jun 12 2007 Otto Dassau 0.8.1
- first build
- splitting into files, files devel and files grass-plugin
* Sat Dec 30 2006 Otto Dassau 0.8.0
- added define grassversion
- first built of stable 0.8.0
* Tue Dec 19 2006 Otto Dassau 0.8.pre2
- adaptions to SuSE 10.2
* Mon Aug 24 2005 Otto Dassau 0.7.4
- adaptions to SuSE 10.0
* Mon Aug 24 2005 Otto Dassau 0.7.3
- adaptions to GRASS 6.0.1
* Mon Jun 25 2005 Stephan Holl 0.7.3pre2
- creation of a pre2-release
* Mon Jun 20 2005 Otto Dassau 0.7.0 
- adaptions to SuSE 9.3
* Wed Feb 18 2004 Jens Oberender
- the first spec for CVS
